=== imaging/CMakeLists.txt ===
#--------------------------------------------
# Imaging extension project
#--------------------------------------------
# Mini find CamiTK inside SDK
set(CAMITK_DIR ${CMAKE_BINARY_DIR})
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CAMITK_DIR}/share/${CAMITK_SHORT_VERSION_STRING}/cmake)
include(CamiTKConfig)

camitk_extension_project(NAME "imaging"
                         CONTACT "Celine.Fouard@imag.fr,Emmanuel.Promayon@imag.fr"
                         DESCRIPTION "This CEP is part of CamiTK Open-Source. It provides action and component extensions that are useful for processing medical imaging: the dicom and itkimage components, the itk filters and itk segmentation actions. It depends on... ITK. "
)
