=== imaging/components/CMakeLists.txt ===
#
# DO NOT EDIT THIS FILE (unless you REALLY know what you are doing)
#
# To add a component, just add a subdirectory (the component name is the 
# directory name). Add all your code there and a text file called
# CMakeLists.txt 
# In your CMakeLists.txt, use the camitk_extension(COMPONENT_EXTENSION ...) macro apropriately

# Inform the user he has the choice of the DICOM component, by default uses the incomplete ITK one

# find components
get_subdirectories(IMAGING_COMPONENTS_LIST)

#Add subdirectories in CMake project
foreach(COMPONENT_NAME ${IMAGING_COMPONENTS_LIST})
  camitk_add_subdirectory(${COMPONENT_NAME})
endforeach()
