=== python_sdk/actions/CMakeLists.txt ===
#
# DO NOT EDIT THIS FILE (unless you REALLY know what you are doing)
#
# To add a component, just add a subdirectory (the component name is the
# directory name). Add all your code there and a text file called
# CMakeLists.txt 
# In your CMakeLists.txt, use the camitk_extension(ACTION_EXTENSION ...) macro apropriately
#---------------------------------------------------------------------------------
#
# Recursively parse subdirectories for classes to expose 
#
#---------------------------------------------------------------------------------
# Shiboken PATH to look for typesystem.xml adn global.h files, recursively udapted
set(SHIBOKEN_TYPESYSTEM_PATH ${SHIBOKEN_TYPESYSTEM_PATH}:${CMAKE_CURRENT_SOURCE_DIR} CACHE INTERNAL "")
set(SHIBOKEN_GLOBAL_H_PATH ${SHIBOKEN_GLOBAL_H_PATH}:${CMAKE_CURRENT_SOURCE_DIR} CACHE INTERNAL "")

# find components
get_subdirectories(ACTIONS_MESH_LIST)

# Add subdirectories in CMake project
foreach(ACTION_NAME ${ACTIONS_MESH_LIST})
  add_subdirectory(${ACTION_NAME})
endforeach()
