=== python_sdk/applications/CMakeLists.txt ===
#
# DO NOT EDIT THIS FILE (unless you REALLY know what you are doing)
#
# To add an application, just add a subdirectory (the application name is the 
# directory name). Add all your code there and a text file called
# CMakeLists.txt 
# In your CMakeLists.txt, use the camitk_application() macro apropriately

#---------------------------------------------------------------------------------
#
# Recursively parse subdirectories for classes to expose 
#
#---------------------------------------------------------------------------------
# Shiboken PATH to look for typesystem.xml adn global.h files, recursively udapted
set(SHIBOKEN_TYPESYSTEM_PATH ${SHIBOKEN_TYPESYSTEM_PATH}:${CMAKE_CURRENT_SOURCE_DIR} CACHE INTERNAL "")
set(SHIBOKEN_GLOBAL_H_PATH ${SHIBOKEN_GLOBAL_H_PATH}:${CMAKE_CURRENT_SOURCE_DIR} CACHE INTERNAL "")

# Find applications
get_subdirectories(APPLICATIONS_LIST)

# --- add every given application
foreach(APPLICATION_NAME ${APPLICATIONS_LIST})
   add_subdirectory(${APPLICATION_NAME})
endforeach()
