=== debian/changelog ===
camitk (4.0.0~beta-2) unstable; urgency=medium

  * Team upload.
  * Add missing Breaks/Replaces to the -dev packages.  Closes: #823025
  * Re-enable parallel build.  Now that slow architectures are not a
    problem anymore this should be safe to do.  Closes: #747421

 -- Mattia Rizzolo <mattia@debian.org>  Sat, 30 Apr 2016 11:48:28 +0000

camitk (4.0.0~beta-1) unstable; urgency=low

  [ Emmanuel Promayon ]
  * New upstream beta release. Thanks to Gianfranco Costamagna
    for the help.
  * New upstream beta release now depends on Qt5
    Closes: #816805
  * New upstream beta check for SOURCE_DATE_EPOCH
    Closes: #794740
  * Run test only for architecture Any. Thanks to Andreas Tille
    for the help. Closes: #817163
  * Removed Nicolas Saubat from maintainer list. Many thanks
    to Nicolas for his work on CamiTK during the last 4 years.

  [ Andreas Tille ]
  * Moved packaging from SVN to Git

  [ Gianfranco Costamagna ]
  * New upstream beta release (Closes: #798167)
  * Bump soname.
  * Fix packaging by following new libraries and removed libraries
    in rules file.
  * Remove all patches, upstream.
  * Switch to vtk6, itk4 and qt5
  * Bump std-version to 3.9.8
  * Update copyright file.

  [ Mattia Rizzolo ]
  * Remove trailing whitespaces from all over debian/.
  * debian/rules:
    + Remove useless override in dh_builddeb: xz is the default now.
    + Semplify dpkg-parsechangelog invocation using -S instead of sed(1).

 -- Emmanuel Promayon <Emmanuel.Promayon@imag.fr>  Wed, 27 Apr 2016 00:15:14 +0200

camitk (3.4.0-2) unstable; urgency=low

  * Fix cmake missing path to ITKConfig (patch force-path-to-itkconfig)
    Closes: #787753
  * Increase test timeout for slower arch
  * fix timestamps_in_documentation_generated_by_doxygen
    (improve building reproducibility, patch remove-doxygen-timestamp)

 -- Emmanuel Promayon <Emmanuel.Promayon@imag.fr>  Mon, 15 Jun 2015 09:08:38 +0200
