=== debian/tests/control ===
Tests: config
Depends: libcamitk4 (>=4.0.0), xvfb, xauth
