## camitk 4.0.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -16,7 +16,7 @@
 set(CAMITK_VERSION_MAJOR "4")
 set(CAMITK_VERSION_MINOR "0")
 set(CAMITK_VER_NICKNAME "red") # Red Amaranth American rose Auburn Burgundy Cardinal Carmine Carnelian Cerise Coquelicot
-set(CAMITK_VERSION_PATCH "0") # patch version for packaging, change when appropriate
+set(CAMITK_VERSION_PATCH "3") # patch version for packaging, change when appropriate
 string(TOLOWER "${CAMITK_PROJECT_NAME}-${CAMITK_VERSION_MAJOR}.${CAMITK_VERSION_MINOR}" CAMITK_SHORT_VERSION_STRING)
 
 # Specific to SDK: this is the SDK build
