=== sdk/actions/image/imageresampling/CMakeLists.txt ===
# Call CamiTK CMake Macro to define the action
camitk_extension(   ACTION_EXTENSION
                    CEP_NAME SDK
                    DESCRIPTION "Re-sample image volumes"
                    TEST_APPLICATION ${APPLICATION_TEST_ACTION}
                    TEST_FILES bassin.msh BigEndian.hdr BigEndian.img BigEndianCompressed1.hdr BigEndianCompressed1.img biorad.pic brain.mha cthead1.lsm diaphragm.pml head1.STL LittleEndian1.hdr LittleEndian1.img LittleEndianCompressed1.hdr LittleEndianCompressed1.img LittleEndianZ1.hdr liver-smooth.obj Mesh.off mini-complex-slow1.nrrd mini-ten-nomask-slow1.nrrd mini-vector-slow1.nrrd mixed_3D_beam.msh ramp1.gipl robot.wrl scissors.obj simple.vtk sinus_skin.vtk sinus_skull.vtk skull1.stl structured.vtk testrgba.nrrd truthcube.pml
                )
