=== debian/changelog ===
camitk (4.0.3-1) unstable; urgency=medium

  * Imported Upstream version 4.0.3
  * Removed SONAME number in the dev package name
  * Create a new camitk-config package for the camitk-config binary, and have
    set appropriate Breaks+Replaces.  Closes: #836990
  * Improved autopkgtest test scripts
  * Fix debug-file-with-no-debug-symbols (CXX flags were overridden)

 -- Emmanuel Promayon <Emmanuel.Promayon@imag.fr>  Sat, 08 Oct 2016 20:23:26 +0000
