=== debian/control ===
--- 
+++ 
@@ -33,6 +33,7 @@
 Depends: libqtpropertybrowser4 (= ${binary:Version}),
          ${shlibs:Depends},
          ${misc:Depends}
+Recommends: camitk-config
 Description: Computer Assisted Medical Intervention Tool Kit - runtime
  Helps researchers and clinicians to easily and rapidly collaborate in
  order to prototype CAMI applications, that feature medical images,
@@ -40,17 +41,33 @@
  .
  This package contains the shared libraries needed to run CamiTK applications.
 
-Package: libcamitk4-dev
+Package: camitk-config
+Architecture: any
+Depends: libcamitk4 (= ${binary:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
+Replaces: libcamitk3, libcamitk4 (<< 4.0.3)
+Breaks: libcamitk3, libcamitk4 (<< 4.0.3)
+Description: Computer Assisted Medical Intervention Tool Kit - config
+ Helps researchers and clinicians to easily and rapidly collaborate in
+ order to prototype CAMI applications, that feature medical images,
+ surgical navigation and biomechanical simulations.
+ .
+ This package contains a command-line application to diagnose and check
+ the CamiTK configuration and environment setup.
+
+Package: libcamitk-dev
 Architecture: any
 Section: libdevel
 Depends: libcamitk4 (= ${binary:Version}),
-         libqtpropertybrowser4-dev,
+         camitk-config,
+         libqtpropertybrowser-dev,
          ${misc:Depends},
          ${shlibs:Depends}
 Recommends: camitk-imp
 Suggests: camitk-actionstatemachine
 Breaks: libcamitk3-dev
-Replaces: libcamitk3-dev
+Replaces: libcamitk3-dev, libcamitk4-dev
 Description: Computer Assisted Medical Intervention Tool Kit - development
  Helps researchers and clinicians to easily and rapidly collaborate in
  order to prototype CAMI applications, that feature medical images,
@@ -122,6 +139,8 @@
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends}
+Breaks: libqtpropertybrowser3
+Replaces: libqtpropertybrowser3
 Description: Qt Property Browser Library - runtime
  A framework providing a set of graphical editors for
  Qt properties similar to the one used in Qt Designer.
@@ -129,14 +148,14 @@
  This package contains the shared libraries needed to run applications
  linked against libqtpropertybrowser4.
 
-Package: libqtpropertybrowser4-dev
+Package: libqtpropertybrowser-dev
 Architecture: any
 Section: libdevel
 Depends: libqtpropertybrowser4 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
 Breaks: libqtpropertybrowser3-dev
-Replaces: libqtpropertybrowser3-dev
+Replaces: libqtpropertybrowser3-dev, libqtpropertybrowser4-dev
 Description: Qt Property Browser Library - development
  A framework providing a set of graphical editors for
  Qt properties similar to the one used in Qt Designer.
