=== debian/rules ===
--- 
+++ 
@@ -11,15 +11,19 @@
 VER_MINOR := $(shell echo '$(FULL_VERSION)' | cut -f2 -d".")
 VER_SHORT=$(VER_MAJOR).$(VER_MINOR)
 
-# package aliases (see d/control)
+# package aliases (see d/control)
 pkg_lib = libcamitk$(VER_MAJOR)
 pkg_qpb = libqtpropertybrowser$(VER_MAJOR)
-pkg_dev = libcamitk$(VER_MAJOR)-dev
-pkg_qpb_dev = libqtpropertybrowser$(VER_MAJOR)-dev
+pkg_cfg = camitk-config
+pkg_dev = libcamitk-dev
+pkg_qpb_dev = libqtpropertybrowser-dev
 pkg_data = libcamitk$(VER_MAJOR)-data
 pkg_doc = libcamitk$(VER_MAJOR)-doc
 pkg_imp = camitk-imp
 pkg_asm = camitk-actionstatemachine
+
+# multi-arch support
+DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
 # dpkg-shlibdeps needs to know about camitk extension directories to manage inner-dependencies
 # between extensions (i.e., mml component extension depends on physicalmodel component extensions)
@@ -74,7 +78,7 @@
 	# Use the CamiTK test suite
 	# Note: all tests require an X server, xvfb-run is needed to have a virtual one
 	# Another way: xvfb-run --auto-servernum $(MAKE) -C camitk-build ARGS="-V" test
-	(cd camitk-build && xvfb-run --auto-servernum ctest -V --timeout 600)
+	(cd camitk-build && xvfb-run --auto-servernum --server-args="-screen 0 1024x768x24" ctest -V --timeout 600)
 
 # make packages
 override_dh_install:
@@ -84,13 +88,14 @@
 	dh_install -p$(pkg_lib) --autodest debian/tmp/usr/lib/libmonitoring.so.*
 	dh_install -p$(pkg_lib) --autodest debian/tmp/usr/lib/camitk-$(VER_SHORT)/actions/lib*.so.*
 	dh_install -p$(pkg_lib) --autodest debian/tmp/usr/lib/camitk-$(VER_SHORT)/components/lib*.so.*
-	# camitk-config is part of libcamitk
-	dh_install -p$(pkg_lib) --autodest debian/tmp/usr/bin/camitk-config
-	dh_install -p$(pkg_lib) --autodest debian/tmp/usr/share/pixmaps/camitk-config.xpm
-	dh_installman -p$(pkg_lib) debian/tmp/usr/share/man/man1/camitk-config.1
+
+	# camitk-config package contains only the app, man page and icon
+	dh_install -p$(pkg_cfg) --autodest debian/tmp/usr/bin/camitk-config
+	dh_install -p$(pkg_cfg) --autodest debian/tmp/usr/share/pixmaps/camitk-config.xpm
+	dh_installman -p$(pkg_cfg) debian/tmp/usr/share/man/man1/camitk-config.1
 
 	# separate packaging for qtpropertybrowser (can be used independently from camitk)
-	dh_install -p$(pkg_qpb) debian/tmp/usr/lib/libqtpropertybrowser.so.* usr/lib
+	dh_install -p$(pkg_qpb) --autodest debian/tmp/usr/lib/libqtpropertybrowser.so.*
 
 	# camitk developer package
 	# camitk so and headers and static libs
@@ -122,8 +127,7 @@
 	dh_install -p$(pkg_dev) --autodest debian/tmp/usr/bin/camitk-wizard
 	dh_installman -p$(pkg_dev) debian/tmp/usr/share/man/man1/camitk-wizard.1
 	dh_install -p$(pkg_dev) --autodest debian/tmp/usr/share/applications/camitk-wizard.desktop
-	# not ship anymore (bug? referenced in desktop file)
-	#dh_install -p$(pkg_dev) --autodest debian/tmp/usr/share/pixmaps/camitk-wizard.xpm
+	dh_install -p$(pkg_dev) --autodest debian/tmp/usr/share/pixmaps/camitk-wizard.xpm
 	# cepgenerator
 	dh_install -p$(pkg_dev) --autodest debian/tmp/usr/bin/camitk-cepgenerator
 	dh_installman -p$(pkg_dev) debian/tmp/usr/share/man/man1/camitk-cepgenerator.1
@@ -146,5 +150,3 @@
 	# imp
 	dh_install -p$(pkg_imp) --autodest debian/tmp/usr/bin/camitk-imp
 	dh_install -p$(pkg_imp) --autodest debian/tmp/usr/share/applications/camitk-imp.desktop
-	dh_install -p$(pkg_imp) --autodest debian/tmp/usr/share/pixmaps/camitk-imp.xpm
-	dh_installman -p$(pkg_imp) debian/tmp/usr/share/man/man1/camitk-imp.1
