=== debian/tests/control ===
Tests: config wizard
Depends: libcamitk-dev, xvfb, xauth
